Skip to main content
GET
/
v1
/
calls
List Phone Calls
curl --request GET \
  --url https://api.sigmamind.ai/v1/calls \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "callId": "call-AuUKK371Spr5nHJS",
      "callType": "inbound",
      "phoneNumber": {
        "sipPhoneNumber": 14155552671,
        "provider": "twilio",
        "inboundAgentId": "D5D0p7TUs66TTAEAx",
        "outboundAgentId": "D5D0p7TUs66TTAEAx",
        "outboundPhoneNumber": 14155552671,
        "active": true,
        "terminationSipURI": "sip.telnyx.com",
        "friendlyName": "Support Line - US"
      },
      "campaign": {
        "campaignId": "camp-XiQEBcj9cc5TFRB4",
        "campaignName": "My Campaign",
        "campaignStatus": "live",
        "scheduledDate": "2023-11-07T05:31:56Z",
        "concurrentCalls": 5,
        "agent": {
          "name": "New AI Agent",
          "agentId": "D5D0p7TUs66TTAEAx",
          "status": "active"
        },
        "phoneNumber": {
          "sipPhoneNumber": 14155552671,
          "provider": "twilio",
          "inboundAgentId": "D5D0p7TUs66TTAEAx",
          "outboundAgentId": "D5D0p7TUs66TTAEAx",
          "outboundPhoneNumber": 14155552671,
          "active": true,
          "terminationSipURI": "sip.telnyx.com",
          "friendlyName": "Support Line - US"
        },
        "errors": [
          "<string>"
        ],
        "scheduled": true
      },
      "status": "ended",
      "startTime": "2021-04-20T10:00:00.000Z",
      "endTime": "2021-04-20T10:00:00.000Z",
      "duration": 120,
      "terminationReason": "inactivity",
      "createdAt": "2021-04-20T10:00:00.000Z",
      "updatedAt": "2021-04-20T10:00:00.000Z",
      "variables": {
        "customer_name": "Michael"
      },
      "recordingUrl": "https://livekitmedia.blob.core.windows.net/recording-container-prod/room-ST_b88xWeWhaCVw-_+91XXXXXXXXXX_7d752295/recording.mp3",
      "agent": {
        "name": "New AI Agent",
        "agentId": "D5D0p7TUs66TTAEAx",
        "status": "active"
      }
    }
  ],
  "page": 123,
  "size": 123,
  "totalCounts": 123,
  "totalPages": 123,
  "hasNext": true,
  "hasPrevious": true
}

Authorizations

X-API-Key
string
header
required

API Key is required in header. You can find it in the settings

Query Parameters

status
string
page
integer<int32>
default:0
size
integer<int32>
default:10

Response

OK

data
object[]
page
integer<int32>
size
integer<int32>
totalCounts
integer<int64>
totalPages
integer<int32>
hasNext
boolean
hasPrevious
boolean